﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            SessionNotificationHelper helper = new SessionNotificationHelper(this);

            helper.SessionChanged += helper_SessionChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 헬퍼 세션 변경시 처리하기 - helper_SessionChanged(sender, e)

        /// <summary>
        /// 헬퍼 세션 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void helper_SessionChanged(object sender, SessionNotificationEventArgs e)
        {
            this.textBlock.Text += string.Format("Recieved {0} notification at {1}\n", e.Notification, e.TimeStamp);
        }

        #endregion
    }
}