﻿using System;

namespace TestProject
{
    /// <summary>
    /// 세션 통지 이벤트 인자
    /// </summary>
    public class SessionNotificationEventArgs : EventArgs
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 세션 통지
        /// </summary>
        private SessionNotification notification;

        /// <summary>
        /// 타임 스탬프
        /// </summary>
        private DateTime timeStamp;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 세션 통지 - Notification

        /// <summary>
        /// 세션 통지
        /// </summary>
        public SessionNotification Notification
        {
            get
            {
                return this.notification;
            }
        }

        #endregion
        #region 타임 스탬프 - TimeStamp

        /// <summary>
        /// 타임 스탬프
        /// </summary>
        public DateTime TimeStamp
        {
            get
            {
                return this.timeStamp;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - SessionNotificationEventArgs(notification)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="notification">세션 통지</param>
        public SessionNotificationEventArgs(SessionNotification notification)
        {
            this.notification = notification;
            this.timeStamp    = DateTime.Now;
        }

        #endregion
    }
}